Mail archive
alpine-aports

[alpine-aports] [PATCH] community/go: Install time zone database distributed with Go

From: Brett Buddin <brett_at_buddin.us>
Date: Wed, 20 Apr 2016 15:16:16 -0400

This fixes time zone lookups using the `time.LoadLocation` function by
ensuring that the time zone database distributed with Go
($GOROOT/lib/time/zoneinfo.zip) is installed. You can find more
information about this file here:
https://golang.org/pkg/time/#LoadLocation
---
 community/go/APKBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/community/go/APKBUILD b/community/go/APKBUILD
index ca37936..6eef0b9 100644
--- a/community/go/APKBUILD
+++ b/community/go/APKBUILD
_at_@ -87,7 +87,7 @@ package() {
 	# bug (https://github.com/golang/go/issues/2775).
 	# When this is resolved we can split out the source to a
 	# go-doc sub package.
-	cp -a pkg src "$pkgdir"/usr/lib/go || return 1
+	cp -a pkg src lib "$pkgdir"/usr/lib/go || return 1
 	cp -r doc misc "$pkgdir"/usr/share/doc/go || return 1
 
 	# Remove tests from /usr/lib/go/src.
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Apr 20 2016 - 15:16:16 GMT